Package fr.gouv.vitam.common.storage.constants

# Enum Class StorageProvider

java.lang.Object
java.lang.Enum<StorageProvider>
fr.gouv.vitam.common.storage.constants.StorageProvider

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageProvider>`, `Constable`

public enum StorageProvider extends Enum<StorageProvider>
Storage offers provider

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AMAZON_S3_V2`
  S3 storage offer Amazon SDK S3 v2
  `FILESYSTEM`
  File system storage offer
  `HASHFILESYSTEM`
  File system storage offer with a hashed directory structure
  `SWIFT_AUTH_V1`
  Swift storage offer (ceph or openStack) authent v1 DO NOT CHANGE THE VALUE OF THIS VAR AS JCLOUDS IS EXPECTING THIS EXACT VALUE
  `SWIFT_AUTH_V2`
  Swift storage offer authent v2
  `SWIFT_AUTH_V3`
  Swift storage offer authent v3
  `TAPE_LIBRARY`
  Tape library offer

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StorageProvider`
  `getStorageProvider(String storageProvider)`
  `String`
  `getValue()`
  `boolean`
  `hasStoragePath()`
  `static StorageProvider`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StorageProvider[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILESYSTEM

    public static final StorageProvider FILESYSTEM
    File system storage offer

  - ### SWIFT_AUTH_V1

    public static final StorageProvider SWIFT_AUTH_V1
    Swift storage offer (ceph or openStack) authent v1 DO NOT CHANGE THE VALUE OF THIS VAR AS JCLOUDS IS EXPECTING THIS EXACT VALUE

  - ### SWIFT_AUTH_V2

    public static final StorageProvider SWIFT_AUTH_V2
    Swift storage offer authent v2

  - ### SWIFT_AUTH_V3

    public static final StorageProvider SWIFT_AUTH_V3
    Swift storage offer authent v3

  - ### AMAZON_S3_V2

    public static final StorageProvider AMAZON_S3_V2
    S3 storage offer Amazon SDK S3 v2

  - ### HASHFILESYSTEM

    public static final StorageProvider HASHFILESYSTEM
    File system storage offer with a hashed directory structure

  - ### TAPE_LIBRARY

    public static final StorageProvider TAPE_LIBRARY
    Tape library offer

- ## Method Details

  - ### values

    public static StorageProvider[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StorageProvider valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStorageProvider

    public static StorageProvider getStorageProvider(String storageProvider)

  - ### getValue

    public String getValue()
    Returns:
      the value

  - ### hasStoragePath

    public boolean hasStoragePath()